## ros-melodic-pilz-trajectory-generation 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_trajectory_generation)

## Add support for C++11, supported in ROS Kinetic and newer
add_definitions(-std=c++11)
add_definitions(-Wall)
add_definitions(-Wextra)
add_definitions(-Wno-unused-parameter)
add_definitions(-Werror)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_msgs
  moveit_ros_planning
  pilz_msgs
  pilz_extensions
  pluginlib
  roscpp
  tf2
  tf2_eigen
  tf2_geometry_msgs
  eigen_conversions
  moveit_ros_move_group
  moveit_ros_planning_interface
  pilz_industrial_motion_testutils
  kdl_conversions
)

find_package(orocos_kdl)
find_package(Boost REQUIRED COMPONENTS )

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
  roscpp
  moveit_msgs
  pilz_msgs
  tf2_geometry_msgs
)

###########
## Build ##
###########

include_directories(
  include
)

# To avoid Warnings from clang-tidy declare system
include_directories(
  SYSTEM
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/pilz_command_planner.cpp
  src/planning_context_loader.cpp
  src/joint_limits_validator.cpp
  src/joint_limits_aggregator.cpp
  src/joint_limits_container.cpp
  src/cartesian_limits_aggregator.cpp
  src/cartesian_limit.cpp
  src/limits_container.cpp
  src/trajectory_functions.cpp
  src/plan_components_builder.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Plugins ##
#############
add_library(pilz_command_planner
            src/pilz_command_planner.cpp
            src/planning_context_loader.cpp
            src/joint_limits_aggregator.cpp
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(pilz_command_planner
                      ${catkin_LIBRARIES})

add_library(planning_context_loader_ptp
            src/planning_context_loader_ptp.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_ptp.cpp
            src/velocity_profile_atrap.cpp
            src/joint_limits_container.cpp
            )

target_link_libraries(planning_context_loader_ptp
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(planning_context_loader_lin
            src/planning_context_loader_lin.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_lin.cpp
            src/velocity_profile_atrap.cpp
            )

target_link_libraries(planning_context_loader_lin
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(planning_context_loader_circ
            src/planning_context_loader_circ.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_circ.cpp
            src/path_circle_generator.cpp
            )


target_link_libraries(planning_context_loader_circ
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(command_list_manager
            src/command_list_manager.cpp
            src/plan_components_builder.cpp)
target_link_libraries(command_list_manager
            ${catkin_LIBRARIES})
add_dependencies(command_list_manager
            ${catkin_EXPORTED_TARGETS})

add_library(sequence_capability
            src/move_group_sequence_action.cpp
            src/move_group_sequence_service.cpp
            src/plan_components_builder.cpp
            src/command_list_manager.cpp
            src/trajectory_blender_transition_window.cpp
            src/joint_limits_aggregator.cpp  # do we need joint limits and cartesian_limit here?
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(sequence_capability
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
add_dependencies(sequence_capability
           ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############
install(FILES
       plugins/sequence_capability_plugin_description.xml
       plugins/pilz_command_planner_plugin_description.xml
       plugins/planning_context_plugin_description.xml
       DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/plugins
       )

## Mark libraries for installation
install(TARGETS
   pilz_command_planner
   planning_context_loader_ptp
   planning_context_loader_lin
   planning_context_loader_circ
   command_list_manager
   sequence_capability
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
#install(DIRECTORY include/${PROJECT_NAME}/
#  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#  FILES_MATCHING PATTERN "*.h"
#  PATTERN ".svn" EXCLUDE
#)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(pilz_testutils REQUIRED)

  include_directories(
    ${pilz_testutils_INCLUDE_DIRS}
  )

  if(ENABLE_COVERAGE_TESTING)
    include(CodeCoverage)
    APPEND_COVERAGE_COMPILER_FLAGS()
  endif()

  #########################
  ####Integration Tests####
  #########################

  set(${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES
    sequence_capability
    pilz_command_planner
    planning_context_loader_ptp
    planning_context_loader_lin
    planning_context_loader_circ
  )

  # Planning Integration tests
  add_rostest_gmock(integrationtest_sequence_action_capability
    test/integrationtest_sequence_action_capability.test
    test/integrationtest_sequence_action_capability.cpp
  )

  target_link_libraries(integrationtest_sequence_action_capability
    ${catkin_LIBRARIES}
    ${pilz_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/integrationtest_sequence_action_capability_with_gripper.test
    DEPENDENCIES integrationtest_sequence_action_capability
  )

  # Tests with other robots only for kinetic (for now)

  #add_rostest(test/integrationtest_sequence_action_capability_abb_irb2400.test
  #  DEPENDENCIES integrationtest_sequence_action_capability
  #)

  #add_rostest(test/integrationtest_sequence_action_capability_frankaemika_panda.test
  #  DEPENDENCIES integrationtest_sequence_action_capability
  #)

  add_rostest_gtest(integrationtest_sequence_service_capability
    test/integrationtest_sequence_service_capability.test
    test/integrationtest_sequence_service_capability.cpp
  )

  target_link_libraries(integrationtest_sequence_service_capability
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  # Tests with other robots only for kinetic (for now)

  #add_rostest(test/integrationtest_sequence_service_capability_frankaemika_panda.test
  #  DEPENDENCIES integrationtest_sequence_service_capability )

  #add_rostest(test/integrationtest_sequence_service_capability_abb_irb2400.test
  #  DEPENDENCIES integrationtest_sequence_service_capability )

  add_rostest(test/integrationtest_sequence_service_capability_with_gripper.test
    DEPENDENCIES integrationtest_sequence_service_capability
  )

  # Planning Integration tests
  add_rostest_gtest(integrationtest_command_planning
    test/integrationtest_command_planning.test
    test/integrationtest_command_planning.cpp
    test/test_utils.cpp
  )

  target_link_libraries(integrationtest_command_planning
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/integrationtest_command_planning_with_gripper.test
    DEPENDENCIES integrationtest_command_planning
  )

  # Tests with other robots only for kinetic (for now)

  #add_rostest(test/integrationtest_command_planning_abb_irb2400.test
  #  DEPENDENCIES integrationtest_command_planning )

  #add_rostest(test/integrationtest_command_planning_frankaemika_panda.test
  #  DEPENDENCIES integrationtest_command_planning )

  # Blending Integration tests
  add_rostest_gtest(integrationtest_command_list_manager
    test/integrationtest_command_list_manager.test
    test/integrationtest_command_list_manager.cpp
    test/test_utils.cpp
  )

  target_link_libraries(integrationtest_command_list_manager
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest_gtest(integrationtest_get_solver_tip_frame
    test/integrationtest_get_solver_tip_frame.test
    test/integrationtest_get_solver_tip_frame.cpp
  )

  target_link_libraries(integrationtest_get_solver_tip_frame
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest_gtest(integrationtest_plan_components_builder
    test/integrationtest_plan_components_builder.test
    test/integrationtest_plan_components_builder.cpp
  )

  target_link_libraries(integrationtest_plan_components_builder
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )



  ##################
  ####Unit Tests####
  ##################

  add_library(${PROJECT_NAME}_testutils
    test/test_utils.cpp
    src/trajectory_generator.cpp
    src/trajectory_generator_circ.cpp
    src/trajectory_generator_lin.cpp
    src/trajectory_generator_ptp.cpp
    src/path_circle_generator.cpp
    src/velocity_profile_atrap.cpp
  )

  target_link_libraries(${PROJECT_NAME}_testutils ${PROJECT_NAME})

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_pilz_command_planner_direct
    test/unittest_pilz_command_planner_direct.cpp
    src/planning_context_loader_ptp.cpp
  )

  target_link_libraries(unittest_pilz_command_planner_direct
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testutils
  )

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_velocity_profile_atrap
    test/unittest_velocity_profile_atrap.cpp
    src/velocity_profile_atrap.cpp
  )

  target_link_libraries(unittest_velocity_profile_atrap ${catkin_LIBRARIES})

  catkin_add_gtest(unittest_trajectory_generator
    test/unittest_trajectory_generator.cpp
    src/trajectory_generator.cpp
  )

  target_link_libraries(unittest_trajectory_generator
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}
  )

  # Trajectory Generator Unit Test
  add_rostest_gtest(unittest_trajectory_functions
    test/unittest_trajectory_functions.test
    test/unittest_trajectory_functions.cpp
  )

  target_link_libraries(unittest_trajectory_functions
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testutils
  )

  # unittest for trajectory blender transition window
  add_rostest_gtest(unittest_trajectory_blender_transition_window
    test/unittest_trajectory_blender_transition_window.test
    test/unittest_trajectory_blender_transition_window.cpp
    src/trajectory_blender_transition_window.cpp
  )

  target_link_libraries(unittest_trajectory_blender_transition_window
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testutils
  )

  # trajectory generator Unit Test
  add_rostest_gtest(unittest_trajectory_generator_common
    test/unittest_trajectory_generator_common.test

=== debian/changelog ===
ros-melodic-pilz-trajectory-generation (0.4.12-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.11-1stretch) stretch; urgency=high

  * Fix CodeCoverage warnings (Remove warnings on normal builds).
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.10-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.9-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.8-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.7-1stretch) stretch; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.5-1stretch) stretch; urgency=high

  * Adapt to changes in pilz_robots
  * add static code analyzing (clang-tidy)
  * drop deprecated isRobotStateEqual()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.4-1stretch) stretch; urgency=high

  * fixed an error that led to trajectories not strictly increasing in time
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.3-1stretch) stretch; urgency=high

  * update dependencies of trajectory_generation
  * fix CIRC path generator and increase test coverage
  * adopt strictest limits in ptp planner (refactor JointLimitsContainer and TrajectoryGeneratorPTP)
  * Enable gripper commands inside a sequence
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.2-1stretch) stretch; urgency=high

  * re-adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.1-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.0-1stretch) stretch; urgency=high

  * Use Eigen::Isometry3d to keep up with the recent changes in moveit
  * Contributors: Chris Lalancette

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.6-1stretch) stretch; urgency=high

  * refactor the testdataloader
  * adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.5-1stretch) stretch; urgency=high

  * Increase line coverage for blending to 100%
  * refactor determining the trajectory alignment in the blend implementation
  * extend and refactor unittest of blender_transition_window
  * add planning group check to blender_transition_window
  * add more details to blend algorithm description
  * change handling of empty sequences in capabilities to be non-erroneous
  * rename command_planner -> pilz_command_planner
  * use pilz_testutils package for blend test
  * use collision-aware ik calculation
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.1-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.0-1stretch) stretch; urgency=high

  * add append method for avoiding duplicate points in robot_trajectory trajectories
  * Relax the precondition on trajectory generators from v_start==0 to |v_start| < 1e-10 to gain robustness
  * Set last point of generated trajectories to have vel=acc=0 to match the first point.
  * add sequence action and service capabilities to concatenate multiple requests
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.2-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.1-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.0-1stretch) stretch; urgency=high

  * Changes for melodic
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.1.1-1stretch) stretch; urgency=high

  * port to melodic
  * drop unused dependencies
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.1.0-1stretch) stretch; urgency=high

  * Created trajectory generation package with ptp, lin, circ and blend planner
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-trajectory-generation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pilz-trajectory-generation 0.4.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -110,7 +110,7 @@
 target_link_libraries(pilz_command_planner
                       ${catkin_LIBRARIES})
 
-add_library(planning_context_loader_ptp
+add_library(planning_context_loader_ptp_deprecated
             src/planning_context_loader_ptp.cpp
             src/planning_context_loader.cpp
             src/trajectory_functions.cpp
@@ -120,10 +120,10 @@
             src/joint_limits_container.cpp
             )
 
-target_link_libraries(planning_context_loader_ptp
+target_link_libraries(planning_context_loader_ptp_deprecated
                       ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
 
-add_library(planning_context_loader_lin
+add_library(planning_context_loader_lin_deprecated
             src/planning_context_loader_lin.cpp
             src/planning_context_loader.cpp
             src/trajectory_functions.cpp
@@ -132,10 +132,10 @@
             src/velocity_profile_atrap.cpp
             )
 
-target_link_libraries(planning_context_loader_lin
+target_link_libraries(planning_context_loader_lin_deprecated
                       ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
 
-add_library(planning_context_loader_circ
+add_library(planning_context_loader_circ_deprecated
             src/planning_context_loader_circ.cpp
             src/planning_context_loader.cpp
             src/trajectory_functions.cpp
@@ -145,18 +145,18 @@
             )
 
 
-target_link_libraries(planning_context_loader_circ
+target_link_libraries(planning_context_loader_circ_deprecated
                       ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
 
-add_library(command_list_manager
+add_library(command_list_manager_deprecated
             src/command_list_manager.cpp
             src/plan_components_builder.cpp)
-target_link_libraries(command_list_manager
+target_link_libraries(command_list_manager_deprecated
             ${catkin_LIBRARIES})
-add_dependencies(command_list_manager
+add_dependencies(command_list_manager_deprecated
             ${catkin_EXPORTED_TARGETS})
 
-add_library(sequence_capability
+add_library(sequence_capability_deprecated
             src/move_group_sequence_action.cpp
             src/move_group_sequence_service.cpp
             src/plan_components_builder.cpp
@@ -168,9 +168,9 @@
             src/cartesian_limit.cpp
             src/cartesian_limits_aggregator.cpp
             )
-target_link_libraries(sequence_capability
+target_link_libraries(sequence_capability_deprecated
                       ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
-add_dependencies(sequence_capability
+add_dependencies(sequence_capability_deprecated
            ${catkin_EXPORTED_TARGETS})
 
 #############
@@ -186,11 +186,11 @@
 ## Mark libraries for installation
 install(TARGETS
    pilz_command_planner
-   planning_context_loader_ptp
-   planning_context_loader_lin
-   planning_context_loader_circ
-   command_list_manager
-   sequence_capability
+   planning_context_loader_ptp_deprecated
+   planning_context_loader_lin_deprecated
+   planning_context_loader_circ_deprecated
+   command_list_manager_deprecated
+   sequence_capability_deprecated
 #   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
@@ -224,11 +224,11 @@
   #########################
 
   set(${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES
-    sequence_capability
+    sequence_capability_deprecated
     pilz_command_planner
-    planning_context_loader_ptp
-    planning_context_loader_lin
-    planning_context_loader_circ
+    planning_context_loader_ptp_deprecated
+    planning_context_loader_lin_deprecated
+    planning_context_loader_circ_deprecated
   )
 
   # Planning Integration tests
@@ -401,10 +401,3 @@
   )
 
   target_link_libraries(unittest_trajectory_blender_transition_window
-    ${catkin_LIBRARIES}
-    ${PROJECT_NAME}_testutils
-  )
-
-  # trajectory generator Unit Test
-  add_rostest_gtest(unittest_trajectory_generator_common
-    test/unittest_trajectory_generator_common.test

=== debian/changelog ===
ros-melodic-pilz-trajectory-generation (0.4.14-1bionic) bionic; urgency=high

  * Deprecate this package since the planner has been integrated into [moveit](https://moveit.ros.org/documentation/planners/).
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Jul 2021 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.13-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.12-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.11-1bionic) bionic; urgency=high

  * Fix CodeCoverage warnings (Remove warnings on normal builds).
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.8-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.7-1bionic) bionic; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.5-1bionic) bionic; urgency=high

  * Adapt to changes in pilz_robots
  * add static code analyzing (clang-tidy)
  * drop deprecated isRobotStateEqual()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.4-1bionic) bionic; urgency=high

  * fixed an error that led to trajectories not strictly increasing in time
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.3-1bionic) bionic; urgency=high

  * update dependencies of trajectory_generation
  * fix CIRC path generator and increase test coverage
  * adopt strictest limits in ptp planner (refactor JointLimitsContainer and TrajectoryGeneratorPTP)
  * Enable gripper commands inside a sequence
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.2-1bionic) bionic; urgency=high

  * re-adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.0-1bionic) bionic; urgency=high

  * Use Eigen::Isometry3d to keep up with the recent changes in moveit
  * Contributors: Chris Lalancette

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.6-1bionic) bionic; urgency=high

  * refactor the testdataloader
  * adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.5-1bionic) bionic; urgency=high

  * Increase line coverage for blending to 100%
  * refactor determining the trajectory alignment in the blend implementation
  * extend and refactor unittest of blender_transition_window
  * add planning group check to blender_transition_window
  * add more details to blend algorithm description
  * change handling of empty sequences in capabilities to be non-erroneous
  * rename command_planner -> pilz_command_planner
  * use pilz_testutils package for blend test
  * use collision-aware ik calculation
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.0-1bionic) bionic; urgency=high

  * add append method for avoiding duplicate points in robot_trajectory trajectories
  * Relax the precondition on trajectory generators from v_start==0 to |v_start| < 1e-10 to gain robustness
  * Set last point of generated trajectories to have vel=acc=0 to match the first point.
  * add sequence action and service capabilities to concatenate multiple requests
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.2-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.0-1bionic) bionic; urgency=high

  * Changes for melodic
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.1.1-1bionic) bionic; urgency=high

  * port to melodic
  * drop unused dependencies
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-pilz-trajectory-generation
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-eigen-conversions, ros-melodic-kdl-conversions, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-planning-interface, ros-melodic-orocos-kdl, ros-melodic-pilz-extensions, ros-melodic-pilz-industrial-motion-testutils, ros-melodic-pilz-msgs, ros-melodic-pilz-testutils, ros-melodic-pluginlib, ros-melodic-prbt-moveit-config, ros-melodic-prbt-pg70-support, ros-melodic-prbt-support, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs
Homepage: https://wiki.ros.org/pilz_trajectory_generation
Standards-Version: 3.9.2

Package: ros-melodic-pilz-trajectory-generation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-eigen-conversions, ros-melodic-kdl-conversions, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-planning-interface, ros-melodic-orocos-kdl, ros-melodic-pilz-extensions, ros-melodic-pilz-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs
Description: The pilz_trajectory_generation package containing the MoveIt! plugin pilz_command_planner.
